Bug 124340 - Profiling of application servers do not work
Profiling of application servers do not work
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
Macintosh Mac OS X
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
release601_fixes_candidate1, release6...
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 20:02 UTC by Tomas Hurka
Modified: 2008-02-20 18:16 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2007-12-20 20:02:32 UTC
From the mailing list:

NetBeans 6.0 on Leopard running under Java 6.0 DP 8 (64-bit Intel only) (or using SoyLatte to compile and run the project earlier. The end result is the 
same.)

I am trying to profile a web project deployed under glassfish v2. I select the project, right-click and choose "Profile". I picked the Monitor button, enable 
threads monitoring and click on run. The build then fails. Looking at the logs, the agentpath is set to:

-agentpath:/tmp/NBProfiler51408.link/deployed/jdk16/solaris-sparcv9/libprofilerinterface.so=/tmp/NBProfiler51408.link,5140

and the last 2 lines of the log entry shows:

Error occurred during initialization of VM
Could not find agent library in absolute path: /tmp/NBProfiler51408.link/deployed/jdk16/solaris-sparcv9/libprofilerinterface.so

It looks like it's not picking the right platform. I was able to profile a different project setup to run under JDK 5.0 without problems.
Comment 1 Tomas Hurka 2007-12-20 20:05:29 UTC
Note that profiling of j2SE application works fine. Detection of 64-bit Mac OS X platform is missing in org.netbeans.lib.profiler.common.integration.IntegrationUtils.getLocalPlatform()

Comment 2 Tomas Hurka 2007-12-20 20:09:48 UTC
Fixed in trunk.
Checking in src/org/netbeans/lib/profiler/common/integration/IntegrationUtils.java;
/cvs/profiler/libs/common/src/org/netbeans/lib/profiler/common/integration/IntegrationUtils.java,v  <--  IntegrationUtils.java
new revision: 1.3; previous revision: 1.2
done

Comment 3 Tomas Hurka 2008-01-02 09:09:56 UTC
Verified on mailing list:

I just downloaded a nightly build of 6.1. I was able to launch the profiler under JDK6DP8 


Comment 4 pgebauer 2008-02-06 20:26:05 UTC
The fix has been ported into the release601_fixes branch.

Checking in IntegrationUtils.java;
/cvs/profiler/libs/common/src/org/netbeans/lib/profiler/common/integration/Attic/IntegrationUtils.java,v  <-- 
IntegrationUtils.java
new revision: 1.2.10.1; previous revision: 1.2
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo